DMT-DD 変更履歴

Ver 2.18 (2023.8.8)
  [修正] Microsoft Verifierで検証時、DRIVER_VERIFIER_DETECTED_VIOLATIONが発生する問題を修正

Ver 2.17 (2022.12.15)
  [修正] COMポート名の取得、比較処理を修正

Ver 2.16 (2022.5.26)
  [更新] ジェスチャ補正のマーカー表示方法の変更
  [更新] ドライバーのデフォルト動作をシリアルモードからハイブリッドモードに変更
  [更新] シリアルモード時のタッチ点数の上限をWindows10以降は1点に変更
  [修正] 特定環境下でモニタ構成が応答停止する問題を修正

Ver 2.15 (2022.2.24)
  [更新] タッチ無効化時、タッチダウンを既に送信済みの場合にタッチアップを送信する様に変更

Ver 2.14 (2021.5.12)
  [修正] 特定環境でUSB接続のTSC-50コントローラが認識されない問題を修正 
  [更新] ジェスチャー補正の矢印表示位置をタッチパネルの向きによって変更する様に更新
  [更新] 対応OSとして、Windows11を追加（ソフトウェアの変更はなし）(2022.2.18)

Ver 2.13 (2021.3.24)
  [追加] MTR2000コントローラ(RS-232C)に対応
  [追加] MTR2000コントローラのEEPROMキャリブレーション機能を追加 
  [追加] 設定ファイル変更APIの追加
  [更新] 通信APIのHID対応USBコントローラ(DUS/MTR/TSC-52)対応

Ver 2.12 (2020.10.27)
  [追加] COMポートNo変更APIの追加
  [追加] シリアルデバイス有効／無効変更APIの追加

Ver 2.11 (2020.11.27)
  [追加] TSC-52コントローラ(シリアル接続)に対応
  [追加] TSC-52コントローラのジェスチャー補正機能を追加
  [追加] TSC-52コントローラのEEPROMキャリブレーション機能を追加 
  [追加] DUSx200コントローラ(シリアル接続)に対応

Ver 2.08 (2019.11.28)
　[追加] 補正情報取得APIの追加
　[追加] X反転の取得、設定APIの追加
　[追加] Y反転の取得、設定APIの追加
　[追加] XY軸交換の取得、設定APIの追加

Ver 2.07 (2019.9.17)
  [追加] TSC-52コントローラ(USB)に対応
　[修正] Windows10でデフォルト設定を使用してドライバーをインストール時、モニタ構成のデフォルト値が適用されない問題を修正

Ver 2.06 (2019.6.6)
　[追加] コントローラとの通信APIを追加
　[更新] WindowsXP/7/8.1向けドライバー及びソフトウェアの署名アルゴリズムを「SHA-1」から「SHA-2」に更新

Ver 2.05 (2018.12.26)
　[追加] Windows10での動作に必要なMicrosoft .NET Framework のバージョンを「3.5」から「4.6」に更新
　[追加] DUSコントローラのマウスモードに対応
　[追加] コントローラ直接出力APIの追加
　[修正] 特定言語環境でセットアップに失敗する問題を修正
　[修正] 特定手順で右クリック設定が無効にも関わらずが右クリックタイム、エリアが編集可能になる問題を修正

Ver 2.04 (2018.9.18)
　[追加] TSCコントローラの出力レート設定画面を追加
　[追加] TSCコントローラの出力レート変更機能を追加
　[追加] TSCコントローラの出力レート設定APIを追加
　[追加] TSCコントローラの出力レート取得APIを追加
　[更新] X軸の反転が有効かつEEPROM有効時の4点、9点補正の動作を変更
　[更新] Y軸の反転が有効かつEEPROM有効時の4点、9点補正の動作を変更
　[更新] EEPROM有効時は調整の確認ボタンを無効化する様に変更
　[更新] TPOffset の更新

Ver 2.03 (2018.5.14)
　[追加] DUSx200コントローラ(USB)に対応
　[追加] MTR2000コントローラ(USB)に対応
　[修正] API使用時に必要なファイルの参照先を変更 
  [更新] TPOffsetを更新 

Ver 2.02 (2018.5.7)
　[追加] 端面補助機能を追加
　[追加] XY軸の交換機能を追加

Ver 2.01 (2018.4.24)
  [追加] モニタ設定画面を追加
  [更新] シングルモニタ環境時にモニタ構成を省略可能な様に変更

Ver 2.00 (2017.9.27)
　[更新] Windows10向けドライバーのみ、署名方法をMicrosoft Windows Hardware Compatibility Publisherによる署名に変更
　[更新] ドライバーの署名方法の違いにより、インストールできる対象OSをWindows10と、それ以前のOSに区別
　[修正] 位置補正のタイムアウトダイアログ表示中にタッチ操作が出来ない問題を修正
　[修正] DriverSetting.hに「SetAttachedMonitorSymbol」の宣言が不足していた問題を修正

Ver 1.16 (2017.8.31)
　[修正] キャリブレーション実行時にリサイズ前の画面が一瞬表示される問題を修正
　[修正] キャリブレーション関連のAPI実行時にコマンドプロンプト画面が表示されない様に修正
　[修正] 一部のDUSコントローラを接続時に設定ツールがコントローラの検出に失敗する問題を修正
　[修正] USBトランザクションエラー発生時の復旧処理を追加

Ver 1.15 (2017.3.29)
　[追加] 右クリック方法の取得APIを追加
　[追加] 右クリック方法の設定APIを追加
　[修正] PC起動後、一回目のタッチ音が遅延する場合がある問題を修正
　[修正] DUSx100シリーズコントローラにステータス要求実施時、結果に異常が表示される場合がある問題を修正
　[修正] 特定の画面をタッチ時、タッチ音が止まらない場合がある問題を修正
　[修正] マウス設定かつ特定の設定時、タッチダウン中のカーソルが作業中になる問題を修正

Ver 1.14 (2016.11.16)
　[追加] ドライバーの動作ログ出力機能を追加

Ver 1.13 (2016.10.20)
　[追加] DUSx100シリーズコントローラ(USB/RS-232C)に対応
  [修正] モニターの紐付き情報登録APIの引数「MonitorSymbol」にNULLを指定した場合の動作を空文字指定時と同じ動作に統一
　[修正] Ver1.9〜1.10でリセットAPIが失敗する問題を修正
　[修正] タッチの有効/無効が未設定の状態でタッチの有効/無効状態取得APIを実行すると失敗が返される問題を修正
　[更新] TPOffset(20160330)を更新

Ver 1.12 (2016.3.16)
  [修正] 英語版セットアップがv1.9以降、上書きインストールが可能になっていた問題を修正

Ver 1.11 (2016.2.24)
　[追加] Windows10対応
　[追加] TSCコントローラおよびMTRコントローラのEEPROMキャリブレーション機能を追加 
　[追加] リフトオフディレイ機能を追加
　[追加] APIを追加
　[修正] 設定ツールの基本設定画面のレイアウトを変更
　[修正] TSCコントローラの初期化コマンドの送信間隔を「50ms」に変更
　[修正] 右クリック設定に不正な値が登録されていた場合に設定ツール画面でエラーが表示される問題を修正
　[修正] タッチ有効無効APIで複数のポートにドライバーがインストールされている時、実行結果に関わらず失敗を返す場合がある問題を修正
  [修正] キャリブレーション実行時に調整画面が最前面に表示される様に修正

Ver 1.10 (2015.11.2)
　[追加] DPI変更時の画面拡大を無効化する設定を追加
　[追加] 調整画面の表示文を設定ファイルから読込む機能を追加

Ver 1.9 (2015.10.6)
　[修正] USB3.0のホストコントローラに対応するため、TSCコントローラに対するコマンド間隔を500msに設定

Ver 1.8 (2015.9.15)
　[追加] キャリブレーションにタイムアウト機能を追加
　[追加] APIを追加
  [修正] 特定の手順で補正を中止すると、不正な補正値が登録される問題を修正
  [修正] 特定の手順で補正を中止すると、未補正の状態でも「確認」「リセット」が押下出来る問題を修正
  [修正] デフォルト値でインストールされたデバイスの補正の「確認」画面が表示されない問題を修正
　[更新] TPOffset(20150724)を更新

Ver 1.6 (2015.4.10)
　[追加] 設定ツールにCOMポート検索無効機能を追加
　[修正] USB接続のTSCコントローラでタッチ入力が出来ない場合がある問題を修正

Ver 1.5.3 (2015.3.19)
　[修正] インストーラーにライセンス条項を追加
　[修正] インストール対象ユーザーをすべてのユーザーに変更

Ver 1.5.2 (2015.2.27)
　[修正] 1.5.1の修正不備を修正　HIDレポートディスクリプタがないコントローラの場合の処理を追加

Ver 1.5.1 (2015.1.29)
　[修正] USB接続時のHIDレポートディスクリプタ読取り処理を修正

Ver 1.5 (2014.12.25)
　[追加] 9点補正機能を追加
　[修正] EEPROMが空のTSCコントローラ接続時に動作しない問題(NAK処理)を修正
　[修正] WindowsXPにてTSCコントローラのハードウェア情報が取得出来ない問題を修正
　[修正] 特定PC(WindowsXP/XDDM)環境にてモニタ構成が実行出来ない問題を修正
　[修正] モニタが180度回転した状態で調整結果を表示すると補正点の表示位置がずれる問題を修正
　[修正] 自動回転有効時に回転が操作出来てしまう場合がある問題を修正
　[修正] キャリブレーション時の理想点の位置を変更(端面から大よそ10%の位置)
　[修正] 設定コマンド受信時の応答速度を向上を無効化
  [更新] TPOffset(20141217)に更新

Ver 1.4.1 (2014.11.4)
　[追加] デフォルト設定機能を追加
　[修正] 常駐機能の自動回転をPnP(USBケーブル抜差し等)のタイミングでも行う様に修正

Ver 1.4 (2014.10.20)
　[追加] 常駐機能に自動回転機能を追加
　[修正] 設定コマンド受信時の応答速度を向上
　[修正] タッチ無効時にBEEPが鳴動しない様に修正
　[修正] 右クリック有効時にキャリブレーションが正常に行えなかった問題を修正
  [更新] TPOffset(20131206)に更新
  [修正] ドライバーとの通信時のハンドル/メモリリークを修正
　
Ver 1.3 (2014.08.29)
  [修正] MTRコントローラの初期化時にセットアップコマンド送信する様に修正
  [修正] スリープから復帰時にBeepが正常に鳴動しなくなる問題を修正

Ver 1.2 (2014.06.30)
  [追加] TSCコントローラ(USB/RS-232C)に対応
  [修正] .net3.5環境でのアプリケーション起動遅延を改善

Ver 1.1 (2014.06.13)
  [追加] スクリーンキーボードに対応
  [修正] 64bit環境でDMCロゴ画像が乱れる問題を修正

DMT-DD 変更履歴
Ver 1.0 (2014.03.10)
　[更新] DUS-DDより名称変更

---------------------------------------------------
DUS-DD 変更履歴

Ver 1.7 (2014.03.10)
  [追加] MTRコントローラ(USB/RS-232C)に対応
　[修正] PnPをより安全に行うように修正
　[修正] スリープ/休止状態中にUSBケーブルを切断した際に正常に終了できない問題を修正
  [修正] TabletPC設定/ペンとタッチを開く際のパラメータを修正
  [修正] 常駐アプリケーションが管理者権限以外で自動起動出来なかった問題を修正
  [修正] Windows8で多点操作時に座標飛びが発生する為、HIDレポートディスクリプタより「In Range(0x32)」を削除
  [修正] キャリブレーション時の有効範囲を円の外側も有効になる様に変更
  [修正] キャリブレーション時の理想点の位置を変更
　[更新] TPOffset(20131206)を更新

Ver 1.6 (2013.12.19)
  [追加] DUSコントローラのFW-Ver8に対応

Ver 1.5.1 (2014.01.23)
  [修正] マウスの右クリック設定がPCを再起動すると無効になる問題を修正
  [修正] 設定ツール上の誤字を修正

Ver 1.5 (2013.12.02)
  [追加] Windows XP/ 7/ 8の64bitに対応
  [追加] 最大タッチ点数を「2」点からコントローラ毎の最大点数に変更
  [修正] Windows XP使用時にタッチ設定を表示しない様に修正
　[更新] 64bit対応に伴うインストール、アンインストール方法の変更
  [更新] 基本設定画面のソフトウェア設定画面に他設定画面と同様に登録ボタンを追加

Ver 1.4 (2013.11.15)
  [追加] タッチ音(ソフトウェアBeep)及び設定画面の追加
  [追加] タッチ音(ファイル再生)及び設定画面の追加
  [追加] 設定ツールの常駐機能及び設定画面を追加※デフォルトは常駐機能無効
  [追加] 設定ツール「終了」ボタンを追加
　[追加] マウスの右クリック機能及び設定画面を追加
　[更新] TPOffset(20130604)を更新
　[更新] INFファイルのREV情報をワイルドカードに変更
  [更新] キャリブレーションの単独実行(API)に対応
  [更新] モニターマッピングの単独実行(API)に対応
　[修正] 特定のFWのコントローラでBSODが発生する問題を修正
  [修正] 特定のFWのコントローラでドライバーがインストール出来ない問題を修正

Ver 1.3 (2013.06.13)
  [追加] Windows8に対応
　[更新] 基本設定画面を更新
　[修正] マウスの構成時にデバイス名が正しく表示されない問題を修正

Ver 1.2 (2013.05.21)
　[修正] TPOffset使用時の動作を改善
　[修正] WindowsXPかつクラシック表示時にボタンの文字が潰れる問題を修正
　[更新] デバイス追加画面を更新
　[更新] 基本設定画面を更新
　[更新] 状態画面を削除し基本設定画面のハードウェア設定/情報に移動
　[追加] タッチ音(Beep)及び設定画面の追加
　[追加] タッチ入力及び設定画面の追加

Ver 1.1 (2013.02.25)
　[修正] TPOffsetを更新
　[修正] WindowsXP英語版にて設定ツールのインストール画面の右側の描画が途切れる問題を修正

Ver 1.0 (2012.12.26)
　新規リリース